#ifndef KEYKODE_H
#define KEYKODE_H

#include "kboard.h"

//Key codes for keys taken from xev 

void loadKeycodes() {
//#ifdef PC_KEYBOARD
	keys[KEY_A].keycode = 38;
	keys[KEY_B].keycode = 56;
	keys[KEY_C].keycode = 54;	
	keys[KEY_D].keycode = 40;
	keys[KEY_E].keycode = 26;
	keys[KEY_F].keycode = 41;
	keys[KEY_G].keycode = 42;
	keys[KEY_H].keycode = 43;
	keys[KEY_I].keycode = 31;
	keys[KEY_J].keycode = 44;
	keys[KEY_K].keycode = 45;
	keys[KEY_L].keycode = 46;
	keys[KEY_M].keycode = 58;
	keys[KEY_N].keycode = 57;
	keys[KEY_O].keycode = 32; 
	keys[KEY_P].keycode = 33;
	keys[KEY_Q].keycode = 24;
	keys[KEY_R].keycode = 27;
	keys[KEY_S].keycode = 39;
	keys[KEY_T].keycode = 28;
	keys[KEY_U].keycode = 30;
	keys[KEY_V].keycode = 55;
	keys[KEY_W].keycode = 25;
	keys[KEY_X].keycode = 53;
	keys[KEY_Y].keycode = 29;
	keys[KEY_Z].keycode = 52;

	keys[KEY_0].keycode = 19;
	keys[KEY_1].keycode = 10;
	keys[KEY_2].keycode = 11;
	keys[KEY_3].keycode = 12;
	keys[KEY_4].keycode = 13;
	keys[KEY_5].keycode = 14;
	keys[KEY_6].keycode = 15;
	keys[KEY_7].keycode = 16;
	keys[KEY_8].keycode = 17;
	keys[KEY_9].keycode = 18;

	keys[KEY_ESC].keycode = 9;

	keys[KEY_F1].keycode = 67;
	keys[KEY_F2].keycode = 68;
	keys[KEY_F3].keycode = 69;
	keys[KEY_F4].keycode = 70;
	keys[KEY_F5].keycode = 71;
	keys[KEY_F6].keycode = 72;
	keys[KEY_F7].keycode = 73;
	keys[KEY_F8].keycode = 74;
	keys[KEY_F9].keycode = 75;
	keys[KEY_F10].keycode = 76;
	keys[KEY_F11].keycode = 95;
	keys[KEY_F12].keycode = 96;

	keys[KEY_TILDE].keycode = 49;
	keys[KEY_MINUS].keycode = 20;
	keys[KEY_EQUAL].keycode = 21;
	keys[KEY_BACKSPACE].keycode = 22;

	keys[KEY_OPENBRACKET].keycode = 34;
	keys[KEY_CLOSEBRACKET].keycode = 35;
	keys[KEY_BACKSLASH].keycode = 51;

	keys[KEY_SEMICOLON].keycode = 47;
	keys[KEY_QUOTE].keycode = 48;
	keys[KEY_ENTER].keycode = 36;

	keys[KEY_LEFTSHIFT].keycode = 50;
	keys[KEY_COMMA].keycode = 59;
	keys[KEY_POINT].keycode = 60;
	keys[KEY_SLASH].keycode = 61;
	keys[KEY_RIGHTSHIFT].keycode = 62;

	keys[KEY_LEFTCTRL].keycode = 37;
	keys[KEY_LEFTALT].keycode = 64;
	keys[KEY_SPACE].keycode = 65;
	keys[KEY_RIGHTCTRL].keycode = 109;
	keys[KEY_RIGHTALT].keycode = 113;

    keys[KEY_INSERT].keycode = 106;
    keys[KEY_HOME].keycode = 97;
    keys[KEY_PAGEUP].keycode = 99;
    keys[KEY_DELETE].keycode = 107;
    keys[KEY_END].keycode = 103;
    keys[KEY_PAGEDOWN].keycode = 105;

    keys[KEY_UPARROW].keycode = 98;
    keys[KEY_LEFTARROW].keycode = 100;
    keys[KEY_DOWNARROW].keycode = 104;
    keys[KEY_RIGHTARROW].keycode = 102;

//else if SUN_KEYBOARD
	// -----
	// ----- write appropriate keycodes.
	//
//endif //KEYBOARDTYPE
	
}
#endif // KEYCODE_H
